Skip to main content
POST
Upgrade vault contract wasm

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

address
string
required

Stellar address of the vault contract

Example:

"CBNKCU3HGFKHFOF7JTGXQCNKE3G3DXS5RDBQUKQMIIECYKXPIOUGB2S3"

Query Parameters

network
enum<string>
required

Stellar network to execute the transaction on (testnet or mainnet)

Available options:
testnet,
mainnet

Body

application/json

Upgrade parameters. All parameters are required for this operation.

new_wasm_hash
string
required

New WASM hash to upgrade the vault contract. Must be a valid hash string.

Example:

"1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef"

caller
string
required

Stellar address of the user initiating the upgrade. Must be a valid Stellar public key with Manager role.

Example:

"GB7NTQG4EXB7NZEA5GNFHIHEQVTGQTZ6OWKWUD535FBEHNSEVCKZULIY"

Response

Transaction prepared successfully

xdr
string

Base64 encoded transaction XDR ready for signing

simulationResponse
object

Simulation result of the transaction

functionName
string

Function name for the operation

params
object

Parameters used for the operation